<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref31.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::Trace::Trace&#40;const std::string&amp;&#44;unsigned int&#44;const T&amp;&#41; - Synopsis::TypeAnalysis::ConstEvaluator::visit&#40;PTree::FstyleCastExpr*&#41;</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::Trace::Trace&#40;const std::string&amp;&#44;unsigned int&#44;const T&amp;&#41; - Synopsis::TypeAnalysis::ConstEvaluator::visit&#40;PTree::FstyleCastExpr*&#41;</h1><div class="xref-name"><a id="Synopsis_mTrace_mTrace_lconst.std_mstring_A_cunsigned.int_cconst.T_A_r" /><h2 >Synopsis::Trace::Trace&#40;const std::string&amp;&#44;unsigned int&#44;const T&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#48">Synopsis/Trace.hh:48</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_menable_lunsigned.int_r" /><h2 >Member function Synopsis::Trace::enable&#40;unsigned int&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#enable_lunsigned.int_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#65">Synopsis/Trace.hh:65</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mindent_l_r" /><h2 >Member function Synopsis::Trace::indent&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#indent_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#68">Synopsis/Trace.hh:68</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#44">Synopsis/Trace.hh:44</a>: in Synopsis::Trace::Trace&#40;const std</li>
<li><a href="../Source/Synopsis/Trace.hh.html#59">Synopsis/Trace.hh:59</a>: in member function <a href="../Scopes/Synopsis/Trace.html#_tTrace_l_r" >Synopsis::Trace::~Trace&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/Trace.hh.html#80">Synopsis/Trace.hh:80</a>: in member function <a href="../Scopes/Synopsis/Trace/Entry.html#Entry_lbool_r" >Synopsis::Trace::Entry::Entry&#40;bool&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mmy_level" /><h2 >Data member Synopsis::Trace::my_level</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#my_level" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#71">Synopsis/Trace.hh:71</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#45">Synopsis/Trace.hh:45</a>: in Synopsis::Trace::Trace&#40;const std</li>
<li><a href="../Source/Synopsis/Trace.hh.html#58">Synopsis/Trace.hh:58</a>: in member function <a href="../Scopes/Synopsis/Trace.html#_tTrace_l_r" >Synopsis::Trace::~Trace&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/Trace.hh.html#68">Synopsis/Trace.hh:68</a>: in member function <a href="../Scopes/Synopsis/Trace.html#indent_l_r" >Synopsis::Trace::indent&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mmy_mask" /><h2 >Data member Synopsis::Trace::my_mask</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#my_mask" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#70">Synopsis/Trace.hh:70</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#65">Synopsis/Trace.hh:65</a>: in member function <a href="../Scopes/Synopsis/Trace.html#enable_lunsigned.int_r" >Synopsis::Trace::enable&#40;unsigned int&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mmy_scope" /><h2 >Data member Synopsis::Trace::my_scope</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#my_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#72">Synopsis/Trace.hh:72</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#44">Synopsis/Trace.hh:44</a>: in Synopsis::Trace::Trace&#40;const std</li>
<li><a href="../Source/Synopsis/Trace.hh.html#59">Synopsis/Trace.hh:59</a>: in member function <a href="../Scopes/Synopsis/Trace.html#_tTrace_l_r" >Synopsis::Trace::~Trace&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_mmy_visibility" /><h2 >Data member Synopsis::Trace::my_visibility</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#my_visibility" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#73">Synopsis/Trace.hh:73</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#43">Synopsis/Trace.hh:43</a>: in Synopsis::Trace::Trace&#40;const std</li>
<li><a href="../Source/Synopsis/Trace.hh.html#57">Synopsis/Trace.hh:57</a>: in member function <a href="../Scopes/Synopsis/Trace.html#_tTrace_l_r" >Synopsis::Trace::~Trace&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_moperator_L_L_lconst.T_A_rconst" /><h2 >Member function template Synopsis::Trace::operator&lt;&lt;&#40;const T&amp;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#operator_L_L_lconst.T_A_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#63">Synopsis/Trace.hh:63</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTrace_m_tTrace_l_r" /><h2 >Destructor Synopsis::Trace::~Trace&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Trace.html#_tTrace_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Trace.hh.html#55">Synopsis/Trace.hh:55</a>: in class <a href="../Scopes/Synopsis/Trace.html" >Synopsis::Trace</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis" /><h2 >Namespace Synopsis::TypeAnalysis</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#18">Synopsis/TypeAnalysis/ConstEvaluator.hh:18</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Kit.hh.html#14">Synopsis/TypeAnalysis/Kit.hh:14</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#17">Synopsis/TypeAnalysis/Type.hh:17</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#12">Synopsis/TypeAnalysis/Visitor.hh:12</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/OverloadResolver.hh.html#15">Synopsis/TypeAnalysis/OverloadResolver.hh:15</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#18">Synopsis/TypeAnalysis/TypeEvaluator.hh:18</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mArray" /><h2 >Class Synopsis::TypeAnalysis::Array</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Array.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#132">Synopsis/TypeAnalysis/Type.hh:132</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Array.html" >Synopsis::TypeAnalysis::Array</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#41">Synopsis/TypeAnalysis/Visitor.hh:41</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#135">Synopsis/TypeAnalysis/Type.hh:135</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/Array.html#Array_lconst.Type_S_r" >Array&#40;const Type*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#136">Synopsis/TypeAnalysis/Type.hh:136</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Array.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#139">Synopsis/TypeAnalysis/Type.hh:139</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/Array.html#my_type" >my_type</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mArray_mArray_lconst.Type_S_r" /><h2 >Constructor Synopsis::TypeAnalysis::Array::Array&#40;const Type*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Array.html#Array_lconst.Type_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#135">Synopsis/TypeAnalysis/Type.hh:135</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Array.html" >Synopsis::TypeAnalysis::Array</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mArray_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Array::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Array.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#136">Synopsis/TypeAnalysis/Type.hh:136</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Array.html" >Synopsis::TypeAnalysis::Array</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mArray_mmy_type" /><h2 >Data member Synopsis::TypeAnalysis::Array::my_type</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Array.html#my_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#139">Synopsis/TypeAnalysis/Type.hh:139</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Array.html" >Synopsis::TypeAnalysis::Array</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mBOOL" /><h2 >Namespace variable Synopsis::TypeAnalysis::BOOL</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#BOOL" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#45">Synopsis/TypeAnalysis/Type.hh:45</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mBuiltinType" /><h2 >Class Synopsis::TypeAnalysis::BuiltinType</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#35">Synopsis/TypeAnalysis/Type.hh:35</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html" >Synopsis::TypeAnalysis::BuiltinType</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#45">Synopsis/TypeAnalysis/Type.hh:45</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#46">Synopsis/TypeAnalysis/Type.hh:46</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#47">Synopsis/TypeAnalysis/Type.hh:47</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#48">Synopsis/TypeAnalysis/Type.hh:48</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#49">Synopsis/TypeAnalysis/Type.hh:49</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#50">Synopsis/TypeAnalysis/Type.hh:50</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#51">Synopsis/TypeAnalysis/Type.hh:51</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#52">Synopsis/TypeAnalysis/Type.hh:52</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#53">Synopsis/TypeAnalysis/Type.hh:53</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#54">Synopsis/TypeAnalysis/Type.hh:54</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#55">Synopsis/TypeAnalysis/Type.hh:55</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#56">Synopsis/TypeAnalysis/Type.hh:56</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#57">Synopsis/TypeAnalysis/Type.hh:57</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#58">Synopsis/TypeAnalysis/Type.hh:58</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#59">Synopsis/TypeAnalysis/Type.hh:59</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#60">Synopsis/TypeAnalysis/Type.hh:60</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#33">Synopsis/TypeAnalysis/Visitor.hh:33</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#38">Synopsis/TypeAnalysis/Type.hh:38</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html#BuiltinType_lconst.std_mstring_A_r" >BuiltinType&#40;const std::string&amp;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#39">Synopsis/TypeAnalysis/Type.hh:39</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#41">Synopsis/TypeAnalysis/Type.hh:41</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html#ref_l_rconst" >ref&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#42">Synopsis/TypeAnalysis/Type.hh:42</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html#deref_l_rconst" >deref&#40;&#41;const</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mBuiltinType_mBuiltinType_lconst.std_mstring_A_r" /><h2 >Synopsis::TypeAnalysis::BuiltinType::BuiltinType&#40;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#38">Synopsis/TypeAnalysis/Type.hh:38</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html" >Synopsis::TypeAnalysis::BuiltinType</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mBuiltinType_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::TypeAnalysis::BuiltinType::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#39">Synopsis/TypeAnalysis/Type.hh:39</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html" >Synopsis::TypeAnalysis::BuiltinType</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mBuiltinType_mderef_l_rconst" /><h2 >Member function Synopsis::TypeAnalysis::BuiltinType::deref&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html#deref_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#42">Synopsis/TypeAnalysis/Type.hh:42</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html" >Synopsis::TypeAnalysis::BuiltinType</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mBuiltinType_mref_l_rconst" /><h2 >Member function Synopsis::TypeAnalysis::BuiltinType::ref&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html#ref_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#41">Synopsis/TypeAnalysis/Type.hh:41</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/BuiltinType.html" >Synopsis::TypeAnalysis::BuiltinType</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mCHAR" /><h2 >Namespace variable Synopsis::TypeAnalysis::CHAR</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis.html#CHAR" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#46">Synopsis/TypeAnalysis/Type.hh:46</a>: in namespace <a href="../Scopes/Synopsis/TypeAnalysis.html" >Synopsis::TypeAnalysis</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mCVType" /><h2 >Class Synopsis::TypeAnalysis::CVType</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#96">Synopsis/TypeAnalysis/Type.hh:96</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#38">Synopsis/TypeAnalysis/Visitor.hh:38</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#99">Synopsis/TypeAnalysis/Type.hh:99</a>: Enum <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#CVQualifier" >CVQualifier</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#101">Synopsis/TypeAnalysis/Type.hh:101</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#CVType_lconst.Type_S_cCVQualifier_r" >CVType&#40;const Type*&#44;CVQualifier&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#103">Synopsis/TypeAnalysis/Type.hh:103</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#106">Synopsis/TypeAnalysis/Type.hh:106</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#names" >names</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#108">Synopsis/TypeAnalysis/Type.hh:108</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#my_type" >my_type</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#109">Synopsis/TypeAnalysis/Type.hh:109</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#my_qual" >my_qual</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mCVType_mCONST" /><h2 >Enumerator Synopsis::TypeAnalysis::CVType::CONST</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#CONST" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#99">Synopsis/TypeAnalysis/Type.hh:99</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mCVType_mCVQualifier" /><h2 >Enum Synopsis::TypeAnalysis::CVType::CVQualifier</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#CVQualifier" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#99">Synopsis/TypeAnalysis/Type.hh:99</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#101">Synopsis/TypeAnalysis/Type.hh:101</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#109">Synopsis/TypeAnalysis/Type.hh:109</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mCVType_mCVType_lconst.Type_S_cCVQualifier_r" /><h2 >Constructor Synopsis::TypeAnalysis::CVType::CVType&#40;const Type*&#44;CVQualifier&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#CVType_lconst.Type_S_cCVQualifier_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#101">Synopsis/TypeAnalysis/Type.hh:101</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mCVType_mNONE" /><h2 >Enumerator Synopsis::TypeAnalysis::CVType::NONE</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#NONE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#99">Synopsis/TypeAnalysis/Type.hh:99</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mCVType_mVOLATILE" /><h2 >Enumerator Synopsis::TypeAnalysis::CVType::VOLATILE</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#VOLATILE" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#99">Synopsis/TypeAnalysis/Type.hh:99</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mCVType_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::TypeAnalysis::CVType::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#103">Synopsis/TypeAnalysis/Type.hh:103</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mCVType_mmy_qual" /><h2 >Data member Synopsis::TypeAnalysis::CVType::my_qual</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#my_qual" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#109">Synopsis/TypeAnalysis/Type.hh:109</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mCVType_mmy_type" /><h2 >Data member Synopsis::TypeAnalysis::CVType::my_type</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#my_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#108">Synopsis/TypeAnalysis/Type.hh:108</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mCVType_mnames" /><h2 >Data member Synopsis::TypeAnalysis::CVType::names</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/CVType.html#names" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#106">Synopsis/TypeAnalysis/Type.hh:106</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/CVType.html" >Synopsis::TypeAnalysis::CVType</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mClass" /><h2 >Class Synopsis::TypeAnalysis::Class</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Class.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#75">Synopsis/TypeAnalysis/Type.hh:75</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Class.html" >Synopsis::TypeAnalysis::Class</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Visitor.hh.html#35">Synopsis/TypeAnalysis/Visitor.hh:35</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Visitor.html" >Synopsis::TypeAnalysis::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#78">Synopsis/TypeAnalysis/Type.hh:78</a>: Enum <a href="../Scopes/Synopsis/TypeAnalysis/Class.html#Kind" >Kind</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#80">Synopsis/TypeAnalysis/Type.hh:80</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/Class.html#Class_lKind_cconst.std_mstring_A_r" >Class&#40;Kind&#44;const std::string&amp;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#81">Synopsis/TypeAnalysis/Type.hh:81</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/Class.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#84">Synopsis/TypeAnalysis/Type.hh:84</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/Class.html#my_kind" >my_kind</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mClass_mCLASS" /><h2 >Enumerator Synopsis::TypeAnalysis::Class::CLASS</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Class.html#CLASS" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#78">Synopsis/TypeAnalysis/Type.hh:78</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Class.html" >Synopsis::TypeAnalysis::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mClass_mClass_lKind_cconst.std_mstring_A_r" /><h2 >Synopsis::TypeAnalysis::Class::Class&#40;Kind&#44;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#80">Synopsis/TypeAnalysis/Type.hh:80</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Class.html" >Synopsis::TypeAnalysis::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mClass_mKind" /><h2 >Enum Synopsis::TypeAnalysis::Class::Kind</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Class.html#Kind" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#78">Synopsis/TypeAnalysis/Type.hh:78</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Class.html" >Synopsis::TypeAnalysis::Class</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#80">Synopsis/TypeAnalysis/Type.hh:80</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Class.html" >Synopsis::TypeAnalysis::Class</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#84">Synopsis/TypeAnalysis/Type.hh:84</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Class.html" >Synopsis::TypeAnalysis::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mClass_mSTRUCT" /><h2 >Enumerator Synopsis::TypeAnalysis::Class::STRUCT</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Class.html#STRUCT" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#78">Synopsis/TypeAnalysis/Type.hh:78</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Class.html" >Synopsis::TypeAnalysis::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mClass_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::TypeAnalysis::Class::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Class.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#81">Synopsis/TypeAnalysis/Type.hh:81</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Class.html" >Synopsis::TypeAnalysis::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mClass_mmy_kind" /><h2 >Data member Synopsis::TypeAnalysis::Class::my_kind</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Class.html#my_kind" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#84">Synopsis/TypeAnalysis/Type.hh:84</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Class.html" >Synopsis::TypeAnalysis::Class</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mCompound" /><h2 >Class Synopsis::TypeAnalysis::Compound</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/Compound.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#69">Synopsis/TypeAnalysis/Type.hh:69</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Compound.html" >Synopsis::TypeAnalysis::Compound</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#75">Synopsis/TypeAnalysis/Type.hh:75</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Class.html" >Synopsis::TypeAnalysis::Class</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#87">Synopsis/TypeAnalysis/Type.hh:87</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Union.html" >Synopsis::TypeAnalysis::Union</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#72">Synopsis/TypeAnalysis/Type.hh:72</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/Compound.html#Compound_lconst.std_mstring_A_r" >Compound&#40;const std::string&amp;&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mCompound_mCompound_lconst.std_mstring_A_r" /><h2 >Synopsis::TypeAnalysis::Compound::Compound&#40;const std::string&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/Type.hh.html#72">Synopsis/TypeAnalysis/Type.hh:72</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/Compound.html" >Synopsis::TypeAnalysis::Compound</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator" /><h2 >Class Synopsis::TypeAnalysis::ConstEvaluator</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#22">Synopsis/TypeAnalysis/ConstEvaluator.hh:22</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#49">Synopsis/TypeAnalysis/ConstEvaluator.hh:49</a>: in Synopsis::TypeAnalysis::evaluate_const&#40;const SymbolLookup</li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#25">Synopsis/TypeAnalysis/ConstEvaluator.hh:25</a>: Constructor <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#ConstEvaluator_lconst.SymbolLookup_mScope_S_r" >ConstEvaluator&#40;const SymbolLookup::Scope*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#26">Synopsis/TypeAnalysis/ConstEvaluator.hh:26</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#evaluate_lconst.PTree_mNode_S_clong_A_r" >evaluate&#40;const PTree::Node*&#44;long&amp;&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#29">Synopsis/TypeAnalysis/ConstEvaluator.hh:29</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mLiteral_S_r" >visit&#40;PTree::Literal*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#30">Synopsis/TypeAnalysis/ConstEvaluator.hh:30</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mIdentifier_S_r" >visit&#40;PTree::Identifier*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#31">Synopsis/TypeAnalysis/ConstEvaluator.hh:31</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mFstyleCastExpr_S_r" >visit&#40;PTree::FstyleCastExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#32">Synopsis/TypeAnalysis/ConstEvaluator.hh:32</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mInfixExpr_S_r" >visit&#40;PTree::InfixExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#33">Synopsis/TypeAnalysis/ConstEvaluator.hh:33</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mSizeofExpr_S_r" >visit&#40;PTree::SizeofExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#34">Synopsis/TypeAnalysis/ConstEvaluator.hh:34</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mUnaryExpr_S_r" >visit&#40;PTree::UnaryExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#35">Synopsis/TypeAnalysis/ConstEvaluator.hh:35</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mCondExpr_S_r" >visit&#40;PTree::CondExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#36">Synopsis/TypeAnalysis/ConstEvaluator.hh:36</a>: Member function <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#visit_lPTree_mParenExpr_S_r" >visit&#40;PTree::ParenExpr*&#41;</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#38">Synopsis/TypeAnalysis/ConstEvaluator.hh:38</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#my_valid" >my_valid</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#39">Synopsis/TypeAnalysis/ConstEvaluator.hh:39</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#my_value" >my_value</a></li><li ><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#40">Synopsis/TypeAnalysis/ConstEvaluator.hh:40</a>: Data member <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#my_scope" >my_scope</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator_mConstEvaluator_lconst.SymbolLookup_mScope_S_r" /><h2 >Synopsis::TypeAnalysis::ConstEvaluator::ConstEvaluator&#40;const SymbolLookup::Scope*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#25">Synopsis/TypeAnalysis/ConstEvaluator.hh:25</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator_mevaluate_lconst.PTree_mNode_S_clong_A_r" /><h2 >Synopsis::TypeAnalysis::ConstEvaluator::evaluate&#40;const PTree::Node*&#44;long&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#26">Synopsis/TypeAnalysis/ConstEvaluator.hh:26</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#50">Synopsis/TypeAnalysis/ConstEvaluator.hh:50</a>: in Synopsis::TypeAnalysis::evaluate_const&#40;const SymbolLookup</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator_mmy_scope" /><h2 >Data member Synopsis::TypeAnalysis::ConstEvaluator::my_scope</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#my_scope" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#40">Synopsis/TypeAnalysis/ConstEvaluator.hh:40</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator_mmy_valid" /><h2 >Data member Synopsis::TypeAnalysis::ConstEvaluator::my_valid</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#my_valid" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#38">Synopsis/TypeAnalysis/ConstEvaluator.hh:38</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator_mmy_value" /><h2 >Data member Synopsis::TypeAnalysis::ConstEvaluator::my_value</h2><ul>
<li><a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html#my_value" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#39">Synopsis/TypeAnalysis/ConstEvaluator.hh:39</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator_mvisit_lPTree_mCondExpr_S_r" /><h2 >Synopsis::TypeAnalysis::ConstEvaluator::visit&#40;PTree::CondExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#35">Synopsis/TypeAnalysis/ConstEvaluator.hh:35</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mTypeAnalysis_mConstEvaluator_mvisit_lPTree_mFstyleCastExpr_S_r" /><h2 >Synopsis::TypeAnalysis::ConstEvaluator::visit&#40;PTree::FstyleCastExpr*&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/TypeAnalysis/ConstEvaluator.hh.html#31">Synopsis/TypeAnalysis/ConstEvaluator.hh:31</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/ConstEvaluator.html" >Synopsis::TypeAnalysis::ConstEvaluator</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
